"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.run = run;

var _index = _interopRequireDefault(require("./build/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var webpack = require("webpack");

var currentConfig = require("./webpack/webpack.prod.config");

var merge = require("webpack-merge");

var config = {},
    importConfig = {};
var build = new _index["default"]();

function getConfig(options, env) {
  return options.devkit.commands[env].options;
}
/**
  * @function run
  * @desc     创建用于开发过程中的webpack打包配置
  *
  * @param {Object}  options                         参数
  * @param {Boolean} options.name               是否启用px2rem
  *
  * @example
  */


function run(ctx, options) {
  console.log(options);
  console.log(arguments);
  importConfig = getConfig(ctx.projectConfig, options.env);
  config = merge(currentConfig, build.createDevConfig(importConfig));
  webpack(config, function (err, stats) {
    if (err) {
      console.log(err);
    }

    console.log(stats.toString({
      chunks: false,
      colors: true,
      children: false
    }));
  });
}