const webpack = require("webpack");
const currentConfig = require("./webpack/webpack.dev.config");
const merge = require("webpack-merge");
const WebpackDevServer = require("webpack-dev-server");
const os = require('os');

function getIPAdress() {
    var interfaces = os.networkInterfaces();
    for (var devName in interfaces) {
        var iface = interfaces[devName];
        for (var i = 0; i < iface.length; i++) {
            var alias = iface[i];
            if (alias.family === 'IPv4' && alias.address !== '127.0.0.1' && !alias.internal) {
                return alias.address;
            }
        }
    }
}
const myHost = getIPAdress();

const port = '1234'

let config = {},
  importConfig = {};

import Builder from "./build/index.js";
let build = new Builder();

function getConfig(options, env) {
  return options.devkit.commands[env].options;
}

module.exports = ctx => {
  importConfig = getConfig(ctx.projectConfig, "dev");
  config = merge(currentConfig, build.createDevConfig(importConfig));
  console.log(config);

  const compiler = webpack(config);
  const devServerOptions = Object.assign({}, config.devServer, {
    open: true,
    stats: {
      colors: true
    }
  });
  
  const server = new WebpackDevServer(compiler, devServerOptions);

  server.listen(port, myHost, () => {
    console.log(`Starting server on  http://${myHost}:${port}`);
  });
  
  // webpack(config, (err, stats) => {
  //   if (err) {
  //     console.log(err);
  //   }
  //   console.log(
  //     stats.toString({
  //       chunks: false,
  //       colors: true,
  //       children: false
  //     })
  //   );
  // });
};
